Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb
Class EntityManagerFactoryImpl

    java.lang.Object
      org.hibernate.ejb.EntityManagerFactoryImpl

All Implemented Interfaces:
  java.io.Serializable, javax.persistence.EntityManagerFactory, HibernateEntityManagerFactory

    public class EntityManagerFactoryImpl

extends java.lang.Object
implements HibernateEntityManagerFactory

Author:
  Gavin King, Emmanuel Bernard
See Also:
  Serialized Form

Constructor Summary
`EntityManagerFactoryImpl(org.hibernate.SessionFactory sessionFactory, javax.persistence.spi.PersistenceUnitTransactionType transactionType, boolean discardOnClose, java.lang.Class sessionInterceptorClass)`

Method Summary
`void` | `close()`
`javax.persistence.EntityManager` | `createEntityManager()`
`javax.persistence.EntityManager` | `createEntityManager(java.util.Map map)`
`org.hibernate.SessionFactory` | `getSessionFactory()`
`boolean` | `isOpen()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityManagerFactoryImpl

    public EntityManagerFactoryImpl(org.hibernate.SessionFactory sessionFactory,
                                    javax.persistence.spi.PersistenceUnitTransactionType transactionType,
                                    boolean discardOnClose,
                                    java.lang.Class sessionInterceptorClass)

Method Detail

### createEntityManager

    public javax.persistence.EntityManager createEntityManager()

  Specified by:
    `createEntityManager` in interface `javax.persistence.EntityManagerFactory`

### createEntityManager

    public javax.persistence.EntityManager createEntityManager(java.util.Map map)

  Specified by:
    `createEntityManager` in interface `javax.persistence.EntityManagerFactory`

### close

    public void close()

  Specified by:
    `close` in interface `javax.persistence.EntityManagerFactory`

### isOpen

    public boolean isOpen()

  Specified by:
    `isOpen` in interface `javax.persistence.EntityManagerFactory`

### getSessionFactory

    public org.hibernate.SessionFactory getSessionFactory()

  Specified by:
    `getSessionFactory` in interface `HibernateEntityManagerFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD